HttpSessionBindingEvent (Servlet and JavaServer Pages API Documentation)
Keywords: javax.servlet.http.HttpSessionBindingEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.http
Class HttpSessionBindingEvent

    java.lang.Object
      java.util.EventObject
          javax.servlet.http.HttpSessionEvent
              javax.servlet.http.HttpSessionBindingEvent

All Implemented Interfaces:
  java.io.Serializable

public class HttpSessionBindingEvent
extends HttpSessionEvent

Events of this type are either sent to an object that implements `HttpSessionBindingListener` when it is bound or unbound from a session, or to a `HttpSessionAttributeListener` that has been configured in the deployment descriptor when any attribute is bound, unbound or replaced in a session.

The session binds the object by a call to `HttpSession.setAttribute` and unbinds the object by a call to `HttpSession.removeAttribute`.

Version:
  $Version$
Author:
  Various
See Also:
  `HttpSession`, `HttpSessionBindingListener`, `HttpSessionAttributeListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`HttpSessionBindingEvent(HttpSession session, java.lang.String name)` Constructs an event that notifies an object that it has been bound to or unbound from a session.
`HttpSessionBindingEvent(HttpSession session, java.lang.String name, java.lang.Object value)` Constructs an event that notifies an object that it has been bound to or unbound from a session.

Method Summary
`java.lang.String` | `getName()` Returns the name with which the attribute is bound to or unbound from the session.
`HttpSession` | `getSession()` Return the session that changed.
`java.lang.Object` | `getValue()` Returns the value of the attribute that has been added, removed or replaced.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpSessionBindingEvent

    public HttpSessionBindingEvent(HttpSession session,
                                   java.lang.String name)

  Constructs an event that notifies an object that it has been bound to or unbound from a session. To receive the event, the object must implement `HttpSessionBindingListener`.

Parameters:
  `session` - the session to which the object is bound or unbound
  `name` - the name with which the object is bound or unbound
See Also:
  `getName()`, `getSession()`

### HttpSessionBindingEvent

    public HttpSessionBindingEvent(HttpSession session,
                                   java.lang.String name,
                                   java.lang.Object value)

  Constructs an event that notifies an object that it has been bound to or unbound from a session. To receive the event, the object must implement `HttpSessionBindingListener`.

Parameters:
  `session` - the session to which the object is bound or unbound
  `name` - the name with which the object is bound or unbound
See Also:
  `getName()`, `getSession()`

Method Detail

### getSession

    public HttpSession getSession()

  Return the session that changed.

  Overrides:
    `getSession` in class `HttpSessionEvent`

### getName

    public java.lang.String getName()

  Returns the name with which the attribute is bound to or unbound from the session.

  Returns:
    a string specifying the name with which the object is bound to or unbound from the session

### getValue

    public java.lang.Object getValue()

  Returns the value of the attribute that has been added, removed or replaced. If the attribute was added (or bound), this is the value of the attribute. If the attrubute was removed (or unbound), this is the value of the removed attribute. If the attribute was replaced, this is the old value of the attribute.

  Since:
    2.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.